using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 每日数据统计
    /// </summary>
    [SugarTable("YB_DayReport", TableDescription = "每日数据统计", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_DayReport
    {        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 日注册用户数
        /// </summary>
        [SugarColumn(ColumnDescription = "日注册用户数")]
        public System.Int32 DayRegCnt { get; set; }

        /// <summary>
        /// 日称重次数
        /// </summary>
        [SugarColumn(ColumnDescription = "日称重次数")]
        public System.Int32 DayResultCnt { get; set; }

        /// <summary>
        /// 日设备活跃数量
        /// </summary>
        [SugarColumn(ColumnDescription = "日设备活跃数量")]
        public System.Int32 DayDevCnt { get; set; }

        /// <summary>
        /// 日收益,单位为分
        /// </summary>
        [SugarColumn(ColumnDescription = "日收益,单位为分",ColumnDataType ="decimal(18,2)")]
        public System.Decimal DayInCome { get; set; }

        /// <summary>
        /// 记录时间
        /// </summary>
        [SugarColumn(ColumnDescription = "记录时间")]
        public System.DateTime RecordTime { get; set; }
    }
}
